package com.kingdee.eas.custom.hr.emp.web.handler;

/**
 * description: PropertyEnum <br>
 * date: 2025/5/23 9:43 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public enum PropertyEnum {

    RESUME_IDCARD_FACE("resume_idCard_face","身份证人像面", 1,"身份证件","/WEAAAANE9B3ZfBC"),
    RESUME_IDCARD_BACK("resume_idCard_back","身份证国徽面", 2,"身份证件","/WEAAAANE9B3ZfBC"),
    RESUME_NATIONALITY("resume_nationality","国籍证明", 3,"身份证件","/WEAAAANE9B3ZfBC"),
    RESUME_WORK("resume_work","参加工作证明", 4,"工作鉴证","/WEAAAAQKbZ3ZfBC"),
    RESUME_HR("resume_hr","户籍证明", 5,"身份证件","/WEAAAANE9B3ZfBC"),
    RESUME_MARRIAGE("resume_marriage","婚姻状况证明", 6,"其他","/WEAAAANE953ZfBC"),
    RESUME_POLITICAL("resume_political","政治面貌证明", 7,"其他","/WEAAAANE953ZfBC"),
    RESUME_BANK_CMP("resume_bank_cmp","银行卡号发薪卡证明", 8,"个人卡包","/WEAAAAWvOl3ZfBC"),
    RESUME_BANK_GH("resume_bank_gh","银行卡号工行卡证明", 9,"个人卡包","/WEAAAAWvOl3ZfBC"),

    RESUME_EDU_DIPLOMA("resume_edu_diploma","毕业证", 10,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_DEGREE("resume_edu_degree","学位证", 11,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_RECORD("resume_edu_record","学信网学历备案表", 12,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_VERIFY("resume_edu_verify","学信网学位验证报告", 13,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_WORKEXP("resume_WorkExp","请上传工作经历证明材料", 14,"工作鉴证","/WEAAAAQKbZ3ZfBC"),

    RESUME_EDU_CERTIFICATION("resume_edu_certification","留服认证书", 15,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_GRADUATION("resume_edu_graduation","结业证", 16,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_STUDENTCARD("resume_edu_studentCard","学生卡", 17,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_STUDENTIDCARD("resume_edu_studentIdCard","学生证", 18,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_STUDENTVERIFY("resume_edu_studentVerify","学信网学籍验证报告", 19,"学历证书","/WEAAAANE9F3ZfBC"),
    RESUME_EDU_ADMISSION("resume_edu_admission","录取通知书/在读证明", 20,"学历证书","/WEAAAANE9F3ZfBC"),
    ;
    private final String key;
    private final String value;
    private final int ordinal;
    private final String type;
    private final String typeId;
    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
    public String getType() {
        return type;
    }
    public String getTypeId() {
        return typeId;
    }
    public int getOrdinal() {
        return ordinal;
    }

    PropertyEnum(String key, String value, int ordinal, String type, String typeId) {
        this.key = key;
        this.value = value;
        this.ordinal = ordinal;
        this.type = type;
        this.typeId = typeId;
    }
    public static PropertyEnum get(String key){
        PropertyEnum propertyEnum=null;
        for(PropertyEnum e : PropertyEnum.values()){
            if(e.getKey().equals(key)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }

}
